<?php

namespace Modules\Service\Interfaces;

use Modules\Service\Models\Service;

interface ServiceRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Service;
    public function update(array $request, Service $service): Service;
    public function destroy(Service $service): void;
    public function destroyAll(array $ids): void;
    public function restore(Service $service): void;
    public function restoreAll(array $ids): void;
    public function forceDelete(Service $service): void;
    public function forceDeleteAll(array $ids): void;
}
